Bug 862834 - Synctask'ize glusterd volume operations.
Synctask'ize glusterd volume operations.
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: krishnan parthasarathi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 13:27 EDT by krishnan parthasarathi
Modified: 2015-11-03 18:04 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:31:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description krishnan parthasarathi 2012-10-03 13:27:38 EDT
Description of problem:

Glusterd is responsible for serving cli (gluster) commands, pmap queries from
clients and volfiles. As of today, a single epoll thread serves these three kind of requests, making it impossible to serve 'nested' requests of any of the two kinds of services mentioned above.

Version-Release number of selected component (if applicable):


How reproducible:
N/A

Steps to Reproduce:
1.N/A
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Vijay Bellur 2012-10-10 22:11:00 EDT
CHANGE: http://review.gluster.org/4057 (glusterd: glusterd_brick_stop should be race free wrt pmap) merged in master by Anand Avati (avati@redhat.com)
Comment 2 Vijay Bellur 2012-10-11 14:58:44 EDT
CHANGE: http://review.gluster.org/4066 (glusterd: Moved peer rsp handling functions to glusterd-utils) merged in master by Anand Avati (avati@redhat.com)
Comment 3 Vijay Bellur 2012-10-11 15:04:38 EDT
CHANGE: http://review.gluster.org/3969 (glusterd: volume-start, add-brick and remove-brick to use synctask framework) merged in master by Anand Avati (avati@redhat.com)
Comment 4 Vijay Bellur 2012-10-16 17:24:01 EDT
CHANGE: http://review.gluster.org/4084 (mgmt/glusterd: avoid directly using conf->uuid) merged in master by Anand Avati (avati@redhat.com)
Comment 5 Vijay Bellur 2012-11-12 10:08:48 EST
CHANGE: http://review.gluster.org/4102 (glusterd: Fixed glusterd crash in volume add-brick) merged in master by Vijay Bellur (vbellur@redhat.com)
Comment 6 Vijay Bellur 2012-11-19 01:21:46 EST
CHANGE: http://review.gluster.org/4113 (glusterd: copy peers that participate in volume xaction) merged in master by Vijay Bellur (vbellur@redhat.com)
Comment 7 Vijay Bellur 2013-02-03 14:51:16 EST
CHANGE: http://review.gluster.org/4118 (glusterd: Removed start-unlock event injection in 'synctask' codepath) merged in master by Anand Avati (avati@redhat.com)
Comment 8 Vijay Bellur 2013-02-07 02:40:09 EST
CHANGE: http://review.gluster.org/4213 (glusterd: synctaskize 'volume create' operation) merged in master by Anand Avati (avati@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.